easy_admin:
    #disabled_actions: ['delete','new']
    site_name: 'PANEL <b>ADMIN</b>'
    user:
        display_name: true
        display_avatar: true
        name_property_path: 'fullName'
    design:
        menu:
            - {label: "TABLAS"}
            - label: "Empresa"
              children:
                - {entity: Tempresa, label: "Listar", icon: "th-list"}
                - {entity: Tempresa, label: "Agregar", icon: "plus", params: {action: 'new'}}
            - label: "Categoria"
              children:
                - {entity: Tcategoria, label: "Listar", icon: "th-list"}
                - {entity: Tcategoria, label: "Agregar", icon: "plus", params: {action: 'new'}}
            - label: "Carta"
              children:
                - {entity: Tcarta, label: "Listar", icon: "th-list"}
                - {entity: Tcarta, label: "Agregar", icon: "plus", params: {action: 'new'}}
            - label: "Producto Categoría"
              children:
                - {entity: Tproductocategoria, label: "Listar", icon: "th-list"}
                - {entity: Tproductocategoria, label: "Agregar", icon: "plus", params: {action: 'new'}}
            - label: "Producto"
              children:
                  - {entity: Tproducto, label: "Listar", icon: "th-list"}
                  - {entity: Tproducto, label: "Agregar", icon: "plus", params: {action: 'new'}}
            - label: "Pedidos"
              children:
                - {entity: Tpedido, label: "Listar", icon: "th-list"}
            - label: "Detalle de pedido"
              children:
                - {entity: Tpedidodetalle, label: "Listar", icon: "th-list"}
            - label: "Ofertas"
              children:
                - {entity: Toferta, label: "Listar", icon: "th-list"}
            - label: "Opciones"
              children:
                - {entity: Topcion, label: "Listar", icon: "th-list"}
            - label: "Opcion detalle"
              children:
                - {entity: Topciondetalle, label: "Listar", icon: "th-list"}
            - label: "Producto opcion"
              children:
                - {entity: Tproductoopcion, label: "Listar", icon: "th-list"}
            - label: "Sucursales"
              children:
                - {entity: Tconfiguracion, label: "Listar", icon: "th-list"}
            - label: "Mensajes"
              children:
                - {entity: Tmensaje, label: "Listar", icon: "th-list"}
            - label: "Carta horario"
              children:
                - {entity: Tcartahorario, label: "Listar", icon: "th-list"}
            - label: "Categoria secundaria"
              children:
                - {entity: Tcategoriasecundaria, label: "Listar", icon: "th-list"}
    entities:
        Tempresa:
            class: App\Entity\Tempresa
            list:
                max_results: 50
                #collapse_actions: true
                actions: ['edit']
                title: "Lista de Empresas"
                fields:
                  - codempresa
                  - { property: 'imagen', type: 'image' , base_path: 'http://zcode10.com/uploads/'}
                  - nombre
                  - horario
                  - lat
                  - lng
                  - apertura
                  - cierre
                  -  { property: 'codcategoria.nombrecat',label: 'Categoria'}
                  - { property: 'codtiporeserva.nombretipo',label: 'Tipo'}
                  - { property: 'estado',label: 'Abrir', type: 'toggle' }
                  - { property: 'cerrado',label: 'Cerrar Fijo', type: 'toggle' }
            new:
              fields:
                - { property: 'nombre' , type_options: { data: 'Empresa' } }
                - { property: 'vimagen', type: 'file_upload', type_options: { upload_dir: '../uploads/empresa', upload_filename: '[timestamp][randomhash].[extension]'}}
                - { property: 'codcategoria'}
                - { property: 'horario',type_options: { data: '11AM - 3PM' }}
                - { property: 'estado' , type_options: { data: '0' }}
                - { property: 'tiempo' ,type_options: { data: '40 - 50 min' }}
                - { property: 'descripcion' ,type_options: { data: 'Andahuaylas' }}
                - { property: 'costoenvio' ,type_options: { data: '0' }}
                - { property: 'lat' }
                - { property: 'lng' }
                - { property: 'prioridad' ,type_options: { data: '0' }}
                - { property: 'mensaje' ,type_options: { data: '-' }}
                - { property: 'estadomensaje' ,type_options: { data: '0' }}
                - { property: 'apertura' ,type_options: { widget: 'single_text' }}
                - { property: 'cierre' ,type_options: { widget: 'single_text' }}
                - { property: 'baja' ,type_options: { data: '0' }}
                - { property: 'cerrado' ,type_options: { data: '0' }}
                - { property: 'configcat' ,type_options: { data: 'interfaz1' }}
                - { property: 'codusuario' }
                - { property: 'codtiporeserva' }
            edit:
              fields:
                - nombre
                - { property: 'vimagen', type: 'file_upload', type_options: { upload_dir: '../uploads/empresa', upload_filename: '[timestamp][randomhash].[extension]'}}
                - codcategoria
                - horario
                - estado
                - tiempo
                - descripcion
                - costoenvio
                - lat
                - lng
                - prioridad
                - mensaje
                - estadomensaje
                - apertura
                - cierre
                - baja
                - cerrado
                - configcat
                - codusuario
                - codtiporeserva
        Tcategoria:
          class: App\Entity\Tcategoria
          list:
            max_results: 10
            #collapse_actions: true
            actions: ['edit']
            title: "Lista de Categorias"
            fields:
              - codcategoria
              - nombrecat
              - { property: 'imagencat', type: 'image' , base_path: 'http://zcode10.com/uploads/'}
              - { property: 'imagencatgrande', type: 'image' , base_path: 'http://zcode10.com/uploads/'}
              - bloque
              - bloquev2
              - color
              - { property: 'estado',label: 'Desactivar', type: 'toggle' }
          new:
            fields:
              - { property: 'nombrecat' , type_options: { data: 'Categoria ' } }
              - { property: 'vimagencat', type: 'file_upload', type_options: { upload_dir: '../uploads', upload_filename: '[timestamp][randomhash].[extension]'}}
              - { property: 'estado',type_options: { data: '1' } }
              - { property: 'vimagencatgrande', type: 'file_upload', type_options: { upload_dir: '../uploads', upload_filename: '[timestamp][randomhash].[extension]'}}
              - { property: 'bloque' , type_options: { data: '0' }}
              - { property: 'bloquev2' , type_options: { data: '0' }}
              - { property: 'color' , type_options: { data: '#000000' }}
          edit:
            fields:
              - { property: 'nombrecat'  }
              - { property: 'vimagencat', type: 'file_upload', type_options: { upload_dir: '../uploads', upload_filename: '[timestamp][randomhash].[extension]'}}
              - { property: 'estado' }
              - { property: 'vimagencatgrande', type: 'file_upload', type_options: { upload_dir: '../uploads', upload_filename: '[timestamp][randomhash].[extension]'}}
              - { property: 'bloque' }
              - { property: 'bloquev2' }
              - { property: 'color' }
        Tcarta:
            class: App\Entity\Tcarta
            list:
                max_results: 10
                #collapse_actions: true
                actions: ['edit']
                title: "Lista de Cartas"
                fields:
                  - codcarta
                  - { property: 'fotohorizontal', type: 'image' , base_path: 'http://zcode10.com/uploads/'}
                  - { property: 'foto', type: 'image' , base_path: 'http://zcode10.com/uploads/'}
                  - nombrecarta
                  - descripcion
                  - prioridad
                  - { property: 'codempresa.nombre',label: 'Empresa'}
                  - { property: 'estado',label: 'Desactivar', type: 'toggle' }
            new:
              fields:
                - { property: 'nombrecarta' , type_options: { data: 'Carta 1 ' } }
                - { property: 'vfotohorizontal', type: 'file_upload', type_options: { upload_dir: '../uploads/empresa/carta', upload_filename: '[timestamp][randomhash].[extension]'}}
                - { property: 'estado',type_options: { data: '1' } }
                - { property: 'vfoto', type: 'file_upload', type_options: { upload_dir: '../uploads/empresa/carta', upload_filename: '[timestamp][randomhash].[extension]'}}
                - { property: 'prioridad' , type_options: { data: '0' }}
                - { property: 'codempresa' }
            edit:
              fields:
                - { property: 'nombrecarta'  }
                - { property: 'vfotohorizontal', type: 'file_upload', type_options: { upload_dir: '../uploads/empresa/carta', upload_filename: '[timestamp][randomhash].[extension]'}}
                - { property: 'estado' }
                - { property: 'vfoto', type: 'file_upload', type_options: { upload_dir: '../uploads/empresa/carta', upload_filename: '[timestamp][randomhash].[extension]'}}
                - { property: 'prioridad' }
                - { property: 'codempresa' }
        Tproductocategoria:
            class: App\Entity\Tproductocategoria
            list:
                max_results: 50
                #collapse_actions: true
                actions: ['edit']
                title: "Lista de Producto Categoría"
                fields:
                  - codproductocategoria
                  - nombreproductocategoria
                  - prioridad
                  - { property: 'codcarta.nombrecarta',label: 'Carta'}
                  - { property: 'codcarta.codempresa.nombre',label: 'Empresa'}
            new:
              fields:
                - { property: 'nombreproductocategoria' , type_options: { data: 'Menú' } }
                - { property: 'prioridad', type_options: { data: '1' } }
                - { property: 'codcarta',type_options: { data: '1' } }
            edit:
        Tproducto:
          class: App\Entity\Tproducto
          disabled_actions: ['delete']
          list:
            max_results: 30
            #collapse_actions: true
            title: "Lista de Productos"
            filters:
              - property: 'codproductocategoria'
                type: 'entity'
                type_options:
                  value_type_options:
                    class: 'App\Entity\Tproductocategoria'
                    choice_label: 'nombreproductocategoria'
                mapped: false
            fields:
              - { property: 'foto', type: 'image' , base_path: 'http://zcode10.com/uploads/'}
              - codproducto
              - titulo
              - descripcion
              - precio
              - preciopromocion
              - precioadd
              - { property: 'codproductocategoria', label: 'Categoria' }
              - { property: 'codproductocategoria.codcarta.codempresa.nombre',label: 'Empresa'}
              - { property: 'estadoproducto',label: 'Desativar', type: 'toggle' }
          new:
            fields:
              - { property: 'titulo' , type_options: { data: 'Producto' } }
              - { property: 'descripcion' ,type_options:  { data: ' ' }}
              - { property: 'vfoto', type: 'file_upload', type_options: { upload_dir: '../uploads/productos', upload_filename: '[timestamp][randomhash].[extension]'}}
              - { property: 'precio' ,type_options: {data: '0' } }
              - { property: 'preciopromocion' ,type_options: {data: '0' } }
              - { property: 'precioadd' ,type_options: {data: '0' } }
              - { property: 'personalizado' ,type_options: {data: '0' } }
              - { property: 'modotexto' ,type_options: {data: '0' } }
              - { property: 'estadoproducto' ,type_options: {data: '0' } }
              - codproductocategoria
          edit:
            fields:
              - titulo
              - descripcion
              - { property: 'vfoto', type: 'file_upload', type_options: { upload_dir: '../uploads/productos', upload_filename: '[timestamp][randomhash].[extension]'}}
              - precio
              - preciopromocion
              - precioadd
              - personalizado
              - modotexto
              - estadoproducto
              - codproductocategoria
        Tpedido:
          class: App\Entity\Tpedido
          disabled_actions: ['delete','new']
          list:
            max_results: 70
            #collapse_actions: true
            title: "Lista de Pedidos"
            fields:
              - codpedido
              - { property: 'codusuario.fullname', label: 'Cliente' }
              - fecha
              - { property: 'coddireccion.direccion', label: 'Dirección' }
              - nroorden
              - estado
              - subtotal
              - envio
              - { property: 'eliminado',label: 'Eliminar', type: 'toggle' }
        Tpedidodetalle:
          class: App\Entity\Tpedidodetalle
          disabled_actions: ['delete','new']
          list:
            max_results: 10
            #collapse_actions: true
            title: "Lista de detall de pedido"
            fields:
              - codpedidodetalle
              - codpedido
              - { property: 'codproducto.titulo',label: 'Producto'}
              - { property: 'codproducto.descripcion',label: 'Desc producto'}
              - descripcion
              - cantidad
              - precio
            filters:
              - property: 'codpedido'
                type: 'entity'
                type_options:
                  value_type_options:
                    class: 'App\Entity\Tpedido'
                    choice_label: 'codpedido'
                mapped: false
        Toferta:
          class: App\Entity\Toferta
          list:
            max_results: 20
            collapse_actions: true
            actions: ['edit','delete']
            title: "Lista de Cartas"
            fields:
              - codoferta
              - titulo
              - { property: 'imagen', type: 'image' , base_path: 'http://zcode10.com/ofertas/'}
              - fechaini
              - fechafin
              - prioridad
              - { property: 'codcarta.nombrecarta',label: 'carta'}
              - { property: 'codciudad.nombre',label: 'ciudad'}
              - { property: 'estado',label: 'Desactivar', type: 'toggle' }
          new:
            fields:
              - { property: 'titulo' , type_options: { data: 'Oferta' } }
              - { property: 'vimagen', type: 'file_upload', type_options: { upload_dir: '../ofertas', upload_filename: '[timestamp][randomhash].[extension]'}}
              - { property: 'fechaini' ,type_options: { widget: 'single_text' }}
              - { property: 'fechafin' ,type_options: { widget: 'single_text' }}
              - { property: 'prioridad' , type_options: { data: '0' }}
              - { property: 'codcarta' }
              - { property: 'codciudad' }
              - { property: 'estado' ,type_options: { data: '0' }}
          edit:
            fields:
              - titulo
              - { property: 'vimagen', type: 'file_upload', type_options: { upload_dir: '../ofertas', upload_filename: '[timestamp][randomhash].[extension]'}}
              - fechaini
              - fechafin
              - prioridad
              - codcarta
              - codciudad
              - estado
        Topcion:
          class: App\Entity\Topcion
          list:
            max_results: 20
            collapse_actions: true
            actions: ['edit','delete']
            title: "Lista de Ofertas"
            fields:
              - codopcion
              - titulo
              - titulocorto
              - descripcion
              - obligatorio
              - min
              - max
              - { property: 'codempresa.nombre',label: 'Empresa'}
        Topciondetalle:
          class: App\Entity\Topciondetalle
          list:
            max_results: 20
            collapse_actions: true
            actions: ['edit','delete']
            title: "Lista de Ofertas"
            fields:
              - codtopciondetalle
              - titulo
              - descripcion
              - precio
              - cantidad
              - { property: 'codopcion.titulo',label: 'Opción'}
        Tproductoopcion:
          class: App\Entity\Tproductoopcion
          list:
            max_results: 20
            collapse_actions: true
            actions: ['edit','delete']
            title: "Lista de opciones de productos"
            fields:
              - codproductoopcion
              - codopcion
              - codproducto
        Tconfiguracion:
          class: App\Entity\Tconfiguracion
          disabled_actions: ['delete','new']
          list:
            max_results: 5
            title: "Lista de opciones de productos"
            fields:
              - empresa
              - { property: 'estado',label: 'Activar Empresa', type: 'toggle' }
              - { property: 'lluvia',label: 'Activar Lluvia', type: 'toggle' }
              - { property: 'deliverygratis',label: 'Delivery Gratis', type: 'toggle' }
              - minutosmin
              - minutosmax
              - codciudad
              - codmensaje
        Tmensaje:
          class: App\Entity\Tmensaje
          list:
            max_results: 10
            title: "Lista de opciones de mensajes"
            fields:
              - codmensaje
              - nombre
        Tcartahorario:
          class: App\Entity\Tcartahorario
          list:
            max_results: 50
            title: "Lista de cartas horarios"
            fields:
              - codcartahorario
              - apertura
              - cierre
              - { property: 'estado',label: 'Activo', type: 'toggle' }
              - codcarta
        Tcategoriasecundaria:
          class: App\Entity\Tcategoriasecundaria
          list:
            max_results: 50
            title: "Lista de categorias secundarias"
            fields:
              - codcategoriasecundaria
              - { property: 'estadocarta',label: 'Desactivar', type: 'toggle' }
              - codempresa
              - codcategoria
              - codcarta

